.masterHeader {
  margin-top: 0;
  position: relative;
  z-index: 10;

  @include breakpoint($medium) {
    background-color: $color-bg-coolGrey;
  }

  &__nav {
    padding: 0;
    &--desktop {
      @include breakpoint($small) {
        display: none;
      }
    }
  }
  &__navChev {
    position: absolute;
    bottom: -16px;
    left: 0;
    right: 0;
    text-align: center;
    display: none;
  }
  &__trigger,
  &__ul li {
    padding: 6px 0;
    border-bottom: 1px solid $border-color;
    line-height: 1.5;

    @include breakpoint($small) {
      padding: 10px 0;
    }

    &:last-child {
      border-bottom: none;
    }
  }
  &__trigger {
    @include breakpoint($medium) {
      display: none;
    }
    font-weight: 600;
    .icon {
      margin-right: 10px;
      transition: all linear 200ms;
      width: 10px;
      position: relative;
      display: inline-block;
      svg {
        width: 100%;
      }
    }
    &.active {
      .icon {
        transform: rotate(-180deg);
      }
    }
    a:hover path {
      fill: $link-color-hover;
    }
    &.active {
      a {
        color: $text-color;
        font-weight: 600;
        path {
          fill: $text-color;
        }
      }
    }
  }
  &__ul {
    margin: 0;
    li {
      position: relative;
      a {
        color: $color-oceanBlue;
        display: block;
        transition: color 0.3s;
        &:after {
          transition: background-color 0.3s;
          width: 100%;
          height: 3px;
          content: "";
          display: block;
          position: absolute;
          z-index: 1;
          left: 0;
          top: 0;
          background-color: transparent;
        }
        path {
          transition: fill 0.3s;
        }
      }
      &.selected {
        background-color: #fff;
        a {
          font-weight: 600;
        }
        .masterHeader__navChev {
          display: inline;
        }
      }
      &.selected a,
      a:hover {
        color: $text-color;

        .masterHeader__arrowIcon {
          path {
            fill: $text-color;
          }
        }
        @include breakpoint($medium) {
          &:after {
            background-color: $color-limeGreen;
          }
        }
      }
    }
    @include breakpoint($medium) {
      display: flex;
      a {
        padding: 5px 12px;
      }
    }
  }
  &__arrowIcon {
    display: none;
  }
  @include breakpoint($medium) {
    &__arrowIcon {
      display: inline;
      padding: 0 9px 0 0;
      svg {
        width: 11px;
      }
      path {
        fill: $color-oceanBlue;
      }
    }
  }

  &--none-selected {
    background-color: #fff;
    .masterHeader__nav--desktop {
      .masterHeader__ul {
        li:first-child:after {
          width: 1px;
          background-color: $border-color;
          height: 60%;
          content: "";
          display: block;
          position: absolute;
          z-index: 1;
          right: 0;
          top: 20%;
        }
      }
    }
  }
}
